Automations
Delete triggered automation
Delete triggered automation using the reviewed public Micro API contract. Authentication uses the x-api-key header.
DELETE
/v2/prism/{teamId}/{automationObjectType}/triggered_automations/{automationId}Authorization
apiKey x-api-key<token>
Public API key generated from Micro settings. Sent as the x-api-key header and validated by AWS API Gateway in front of the service.
In: header
Path Parameters
teamId*string
Format
uuidautomationObjectType*string
Object types that support triggered automations. Must match the triggered-automation whitelist in @micro/database migrate-sql (TRIGGERED_AUTOMATION_OBJECTS).
Value in
- "message"
- "action"
- "event"
- "document"
- "identity"
- "linkedin_message"
- "deal"
- "organization"
- "contact"
automationId*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://developers.micro.so/v2/prism/${MICRO_TEAM_ID}/message/triggered_automations/${AUTOMATION_ID}" \ -H "x-api-key: $MICRO_API_KEY"Empty